//#include <windows.h>  // <----- try comment this line
//#ifdef  _WINDOWS_
//   #include <windows.h>
//#else

   #include <sys/timeb.h>
   
   
//#endif   


#include  "chess.h"




//#ifdef  _WINDOWS_
//    #define TICK_COUNT  (GetTickCount()/10)
//#else  // linux ?

    //#define TICK_COUNT    (time(0)*100)
    
    
       
     

    unsigned  tick_cnt(void) // return milliseconds
    {
        struct timeb t;
        ftime(&t);
        return  t.time*1000 + t.millitm;
    }
    
    unsigned TICK_COUNT(void)  {return tick_cnt()/10;} 
    
    
//#endif



time_t start_time,curr_time,limit_time = 7.5*100;
int is_stop_search;;
U64 cnt_nodes;




void TimeReset(void){
  start_time = curr_time = TICK_COUNT();
  cnt_nodes = 0;
  is_stop_search = 0;
}

int StopSearch(void){


   if( (++cnt_nodes & 0xFFF)==0  &&  !is_stop_search){
      curr_time = TICK_COUNT();
      if(curr_time < start_time) start_time = curr_time;
      if(curr_time - start_time >= limit_time*95/100)
       is_stop_search = 1;
   }
   return is_stop_search;
}

